Wordpress PHP güncellemesi gerekli php nasıl güncellenir

Wordpress "PHP güncellemesi gerekli" nasıl güncellenir ve PHP güncellemeden sonra "Bu sayfa çalışmıyor  ...com şu anda bu isteği işleme alamıyor Http error 500" hatası çözümü nedir?

Wordpress PHP güncellemesi gerekli php nasıl güncellenir
müşteri hizmetleri

Wordpress yeni güncellemelerden sonra sitenin güvenli olmayan PHP sürümünde olduğunun tespit ettiklerini belirten bir mesaj ortaya çıktı. Site sahiplerinin ilk çıktığında tedirgin eden bu uyarının nedeni sitenin daha güvenilir ve performanslı olması için yeni sürüm yani php 7.3 sürümüne geçilmesi gerektiği vurgulanıyor.

Yazımızda kapsamlı olarak hem bu sorunu ele aldık hem de güncelleme nasıl yapılır resimlerle göstermeye çalıştık.

Uyarı ve güncelledikten sonra çıkan sorun için gerekli adımı yazmaya çalıştık. Site güvenli olmayan PHP sürümü hatası nedir?

PHP nasıl güncellenir?

WHM arama bölümüne "multiphp manager" yazarak ilgili bölüme ulaşabilirsiniz. Alternatif siteadı veya ip ile sunucuya erişim yaptıktan sonra sonuna /2087/cpsess4948045960/scripts2/multiphp_manager/config ekleyip girmeniz gerekiyor. 

  • Sol kısımda bu kısım çıkacak ve üzerine dokunun
  • Salda site veya siteler açılacak
  • İlgili sitenin PHP version başlığı altında güncelleme sürümleri çıkacak
  • Burada PHP 7.3 ea php73, inherit ve PHP 5.6 seçenekleri bulunuyor
  • 7.3 Seçip güncellemesini bekleyin. Siz seçtiğinizde otomatik yükleme başlayacak

Wordpress PHP güncellemesi gerekli ne demek

PHP nasıl güncellenir?PHP 7.3 nasıl yüklenir

PHP güncellemesi gerekli mi?

Wordpress' in "site güvenli olmayan PHP üzerinde çalıştığını tespit etti" uyarısında yeni sürüm sunucu düzeyi ayarlandığı, daha güvenir ve daha hızlı olacağından php 7.3' e geçilmesi önerilmekte. Güvenlik sorunlarından korunmak için önerilen yeni php sürümün korsanlarda karşı iyi korunmayı sağlayacağı belirtiliyor. www.andronova.net

PHP sürümünü güncellemesem ne olur? Kısmi olarak bir zafiyet oluşturabilir. Tabi sunucunuzun güvenlik düzeyin ve donanım özelliği bu faktörün seviyesini belirler. İyi optimize edilmiş ve güçlü fiziksel sunucular kolay kolay bu sorundan etkilenmez. Ama her zaman güvenlik içeren güncellemeleri desteklemekteyiz.

PHP güncellemesini yaptıktan sonra site açılmıyor veya hata mesajı çıkıyorsa bize yazınız.

PHP 7.3 güncelledikten sonra site açılmıyor

PHP 7.3 geçtikten sonra siteye giremiyorum "Bu sayfa çalışmıyor  ...com şu anda bu isteği işleme alamıyor. Http error 500" hatası çıkıyor. Sorunnun kesin nedeni ve çözümü için yapmanız gerekenleri harfiyen yazacağız.

Hatanın kaynağı yeni php sürümüyle eklentinin veya eklentilerin uyumsuzluğu. Bazende nadiren tema uyumsuzluğu veya çakışması diyebiliyoruz. Peki Http error 500 çözümü nedir?

Site açılmıyor ise ftp' den veya cpanel' den eklentiler klasörü (plugins) ismini değiştirebilir veya içerisine girip eklentilerin isminin sonuna 1 koyarak değiştirerek açılmasını sağlayabilirsiniz.

Son öneri bir önceki PHP sürümüne geri dönderme (PHP 7.2 dönme). Ya da eski PHP sürümüne çevirin sorun çözülecektir. 

PHP 7.3 güncelledikten sonra site açılmıyor

Http error 500 kesin çözümü

Eklentileri ftp' ye girerek adlarını değiştiriniz. Sonlarına 1 yazarak değiştirabilirsiniz. Örnek amp-1 olarak yapınız. Site açıldıktan sonra eklentileri teker teker deneyerek hangi eklenti veya eklentiler uyumsuz çalışıyor test ediniz.

Uyumsuz eklenti önemli değilse siliniz. Önemli ise ya eklenti geliştiricisine mesaj atıp bildiriminde bulununuz ya da alternatif başka bir eklenti kullanınız.

Sorun temada ise başka temayla değiştirin. Eklentilerde sorun olmadığından eminseniz o zaman ftp' ye giderek bu seferde tema klasörünün (themes) yedeğini alıp ftp' den temayı silin. 

Yine eski bir PHP sürümüne siteyi çeviriniz.

Sorununuz tema veya eklentiler kaynaklı değilse hosting veya sunucu ile alakalı olabilir. Bazende port veya veri merkezi kaynaklı sorunlardan olabiliyor.

Güncelleme Tarihi: 30 Ağustos 2019, 05:23
müşteri hizmetleri
YORUM EKLE
YORUMLAR